#!/bin/sh
# Helper script for editing files
#
# $1 is file to edit

trap 'rm -f /tmp/editdisp.$$; exit 1' 1 2 3 9 15

rm -f /tmp/editdisp.$$

if [ "$EDITOR" != "" ] ; then
    EDITOR_BASE=`basename "$EDITOR"`
else
    EDITOR_BASE=""
fi

if [ "$WINEDITOR" != "" ] ; then
    if [ "$WINEDITOR" = "vi" ] ; then
	# TRANSLATE quoted string after echo command
        echo 'WINEDITOR  vi ɐݒ肳Ă܂BͤLȃEBhE GfB^ł͂܂B'
	EDITOR="vi"
	EDITOR_BASE=`basename "$EDITOR"`
    else
        $WINEDITOR $*
	exit 0
    fi
fi
if echo "$EDITOR_BASE" | grep 'emacs.*19' >/dev/null ; then
    # no terminal emulator needed
    $EDITOR $*
    exit 0

elif echo "$EDITOR_BASE" | grep 'emacsclient' >/dev/null ; then
    # no terminal emulator needed
    $EDITOR $*
    exit 0

elif echo "$EDITOR_BASE" | grep 'xemacs' >/dev/null ; then
    # no terminal emulator needed
    $EDITOR $*
    exit 0

elif [ "$EDITOR" = "" ] ; then
    junk=`which vi | grep 'no vi'`
    if [ "$junk" = "" ] ; then
	EDITOR="vi"
	EDITOR_BASE=`basename "$EDITOR"`
    else
	# TRANSLATE quoted string after echo command
	echo EDITOR ܂ WINEDITOR ev `Ă炸Avi pł܂BJ܂ł 1>&2
	exit 0
    fi
fi

# Terminal emulator needed
    if [ "$EDITOR" = "vi" ] ; then
	# user knows what they are doing, don't warn
    #------------- Script run by xterm -------------
    	cat <<! >/tmp/editdisp.$$
#!/bin/sh
$EDITOR $*
!
    #-----------------------------------------------
    else
	# warn that they are non-visual
    #------------- Script run by xterm -------------
    	cat <<! >/tmp/editdisp.$$
# TRANSLATE quoted string after echo command
echo '^[~i G~[^ \$EDITOR ($EDITOR) ĂяoĂ܂B
́ÃGfB^ xemacsAemacs19Aemacsclient Ƃ 'EBhE'
̃GfB^ƂĒmĂȂ߂łB

ϐ \$WINEDITOR GfB^ɐݒ肵Axclearcase
ċN邱Ƃɂ褂̓㏑ł܂B'
$EDITOR $*
    exit 0
!
    #-----------------------------------------------
    fi
#
# Japanese terminal support
#
if [ "$LANG" != "" -a "$XC_EXEC_NAME" = "xterm" ]; then
	LANG_PREFIX=`echo $LANG | cut -c 1,2 | tr '[A-Z]' '[a-z]'`
	if [ "$LANG_PREFIX" = "ja" -o "$LANG_PREFIX" = "jp" ]; then
	    # find kanji terminal command
	    kanji_term_cmd=`type gnome-terminal 2> /dev/null | awk '{ print $NF }'`
	    if [ "$kanji_term_cmd" != "" ]; then
	       TERM_FLAG="--disable-factory"
	    else
		kanji_term_cmd=`type aterm 2> /dev/null | awk '{ print $NF }'`	       
		if [ "$kanji_term_cmd" = "" ]; then
		    kanji_term_cmd=`type kterm 2> /dev/null | awk '{ print $NF }'`
		    LANG_SUFFIX=`echo $LANG | cut -c 7,8,9,10| tr '[A-Z]' '[a-z]'`
		    ORIG_LANG_PREFIX=`echo $LANG | cut -c 1,2`
		    if [ "$LANG_SUFFIX" = "sjis" -o "$ORIG_LANG_PREFIX" = "Ja" ]; then
			TERM_FLAG="-km sjis"
		    else
			TERM_FLAG="-km euc"
		    fi
		fi
	    fi
	    if [ "$kanji_term_cmd" != "" ]; then
		XC_EXEC_PNAME=$kanji_term_cmd; export XC_EXEC_PNAME
	    else
		TERM_FLAG=""
	    fi
	fi
fi

chmod +x /tmp/editdisp.$$
$XC_EXEC_PNAME $TERM_FLAG $XC_COMMAND_FLAG /tmp/editdisp.$$
rm -f /tmp/editdisp.$$

exit 0
